package Locale::CLDR::RegionContainment;
# This file auto generated from Data.xml
#	on Sun  4 Mar  1:00:39 pm GMT

use strict;
use warnings;
use version;

our $VERSION = version->declare('v0.32.0');

use v5.10.1;
use mro 'c3';
use utf8;
use if $^V ge v5.12.0, feature => 'unicode_strings';
use Types::Standard qw( Str Int HashRef ArrayRef CodeRef RegexpRef );
use Moo::Role;

has 'region_contains' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {

		'001' => [ qw( 019 002 150 142 009 EU EZ UN ) ], 
		'002' => [ qw( 015 011 017 014 018 202 ) ], 
		'003' => [ qw( 021 013 029 ) ], 
		'005' => [ qw( AR BO BR CL CO EC FK GF GY PE PY SR UY VE ) ], 
		'009' => [ qw( 053 054 057 061 QO ) ], 
		'011' => [ qw( BF BJ CI CV GH GM GN GW LR ML MR NE NG SH SL SN TG ) ], 
		'013' => [ qw( BZ CR GT HN MX NI PA SV ) ], 
		'014' => [ qw( BI DJ ER ET KE KM MG MU MW MZ RE RW SC SO SS TZ UG YT ZM ZW ) ], 
		'015' => [ qw( DZ EG EH LY MA SD TN EA IC ) ], 
		'017' => [ qw( AO CD CF CG CM GA GQ ST TD ) ], 
		'018' => [ qw( BW LS NA SZ ZA ) ], 
		'019' => [ qw( 021 013 029 005 003 419 ) ], 
		'021' => [ qw( BM CA GL PM US ) ], 
		'029' => [ qw( AG AI AW BB BL BQ BS CU CW DM DO GD GP HT JM KN KY LC MF MQ MS PR SX TC TT VC VG VI ) ], 
		'030' => [ qw( CN HK JP KP KR MN MO TW ) ], 
		'034' => [ qw( AF BD BT IN IR LK MV NP PK ) ], 
		'035' => [ qw( BN ID KH LA MM MY PH SG TH TL VN ) ], 
		'039' => [ qw( AD AL BA ES GI GR HR IT ME MK MT RS PT SI SM VA XK ) ], 
		'053' => [ qw( AU NF NZ ) ], 
		'054' => [ qw( FJ NC PG SB VU ) ], 
		'057' => [ qw( FM GU KI MH MP NR PW ) ], 
		'061' => [ qw( AS CK NU PF PN TK TO TV WF WS ) ], 
		'142' => [ qw( 145 143 030 034 035 ) ], 
		'143' => [ qw( TM TJ KG KZ UZ ) ], 
		'145' => [ qw( AE AM AZ BH CY GE IL IQ JO KW LB OM PS QA SA SY TR YE ) ], 
		'150' => [ qw( 154 155 151 039 ) ], 
		'151' => [ qw( BG BY CZ HU MD PL RO RU SK UA ) ], 
		'154' => [ qw( GG IM JE AX DK EE FI FO GB IE IS LT LV NO SE SJ ) ], 
		'155' => [ qw( AT BE CH DE FR LI LU MC NL ) ], 
		'202' => [ qw( 011 017 014 018 ) ], 
		'419' => [ qw( 013 029 005 ) ], 
		'EU' => [ qw( AT BE CY CZ DE DK EE ES FI FR GB GR HR HU IE IT LT LU LV MT NL PL PT SE SI SK BG RO ) ], 
		'EZ' => [ qw( AT BE CY DE EE ES FI FR GR IE IT LT LU LV MT NL PT SI SK ) ], 
		'QO' => [ qw( AQ BV CC CX GS HM IO TF UM AC CP DG TA ) ], 
		'UN' => [ qw( AD AE AF AG AL AM AO AR AT AU AZ BA BB BD BE BF BG BH BI BJ BN BO BR BS BT BW BY BZ CA CD CF CG CH CI CL CM CN CO CR CU CV CY CZ DE DJ DK DM DO DZ EC EE EG ER ES ET FI FJ FM FR GA GB GD GE GH GM GN GQ GR GT GW GY HN HR HT HU ID IE IL IN IQ IR IS IT JM JO JP KE KG KH KI KM KN KP KR KW KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MG MH MK ML MM MN MR MT MU MV MX MW MY MZ NA NE NG NI NL NO NR NP NZ OM PA PE PG PH PK PL PT PW PY QA RO RS RU RW SA SB SC SD SE SG SI SK SL SM SN SO SR SS ST SV SY SZ TD TG TH TJ TL TM TN TO TR TT TV TZ UA UG US UY UZ VC VE VN VU WS YE ZA ZM ZW ) ], 
	} }
);

has 'region_contained_by' => (
	is			=> 'ro',
	isa			=> HashRef,
	init_arg	=> undef,
	default		=> sub { {

		'002' => '001', 
		'003' => '019', 
		'005' => '419', 
		'009' => '001', 
		'011' => '202', 
		'013' => '419', 
		'014' => '202', 
		'015' => '002', 
		'017' => '202', 
		'018' => '202', 
		'019' => '001', 
		'021' => '003', 
		'029' => '419', 
		'030' => '142', 
		'034' => '142', 
		'035' => '142', 
		'039' => '150', 
		'053' => '009', 
		'054' => '009', 
		'057' => '009', 
		'061' => '009', 
		'142' => '001', 
		'143' => '142', 
		'145' => '142', 
		'150' => '001', 
		'151' => '150', 
		'154' => '150', 
		'155' => '150', 
		'202' => '002', 
		'419' => '019', 
		'AC' => 'QO', 
		'AD' => 'UN', 
		'AE' => 'UN', 
		'AF' => 'UN', 
		'AG' => 'UN', 
		'AI' => '029', 
		'AL' => 'UN', 
		'AM' => 'UN', 
		'AO' => 'UN', 
		'AQ' => 'QO', 
		'AR' => 'UN', 
		'AS' => '061', 
		'AT' => 'UN', 
		'AU' => 'UN', 
		'AW' => '029', 
		'AX' => '154', 
		'AZ' => 'UN', 
		'BA' => 'UN', 
		'BB' => 'UN', 
		'BD' => 'UN', 
		'BE' => 'UN', 
		'BF' => 'UN', 
		'BG' => 'UN', 
		'BH' => 'UN', 
		'BI' => 'UN', 
		'BJ' => 'UN', 
		'BL' => '029', 
		'BM' => '021', 
		'BN' => 'UN', 
		'BO' => 'UN', 
		'BQ' => '029', 
		'BR' => 'UN', 
		'BS' => 'UN', 
		'BT' => 'UN', 
		'BV' => 'QO', 
		'BW' => 'UN', 
		'BY' => 'UN', 
		'BZ' => 'UN', 
		'CA' => 'UN', 
		'CC' => 'QO', 
		'CD' => 'UN', 
		'CF' => 'UN', 
		'CG' => 'UN', 
		'CH' => 'UN', 
		'CI' => 'UN', 
		'CK' => '061', 
		'CL' => 'UN', 
		'CM' => 'UN', 
		'CN' => 'UN', 
		'CO' => 'UN', 
		'CP' => 'QO', 
		'CR' => 'UN', 
		'CU' => 'UN', 
		'CV' => 'UN', 
		'CW' => '029', 
		'CX' => 'QO', 
		'CY' => 'UN', 
		'CZ' => 'UN', 
		'DE' => 'UN', 
		'DG' => 'QO', 
		'DJ' => 'UN', 
		'DK' => 'UN', 
		'DM' => 'UN', 
		'DO' => 'UN', 
		'DZ' => 'UN', 
		'EA' => '015', 
		'EC' => 'UN', 
		'EE' => 'UN', 
		'EG' => 'UN', 
		'EH' => '015', 
		'ER' => 'UN', 
		'ES' => 'UN', 
		'ET' => 'UN', 
		'EU' => '001', 
		'EZ' => '001', 
		'FI' => 'UN', 
		'FJ' => 'UN', 
		'FK' => '005', 
		'FM' => 'UN', 
		'FO' => '154', 
		'FR' => 'UN', 
		'GA' => 'UN', 
		'GB' => 'UN', 
		'GD' => 'UN', 
		'GE' => 'UN', 
		'GF' => '005', 
		'GG' => '154', 
		'GH' => 'UN', 
		'GI' => '039', 
		'GL' => '021', 
		'GM' => 'UN', 
		'GN' => 'UN', 
		'GP' => '029', 
		'GQ' => 'UN', 
		'GR' => 'UN', 
		'GS' => 'QO', 
		'GT' => 'UN', 
		'GU' => '057', 
		'GW' => 'UN', 
		'GY' => 'UN', 
		'HK' => '030', 
		'HM' => 'QO', 
		'HN' => 'UN', 
		'HR' => 'UN', 
		'HT' => 'UN', 
		'HU' => 'UN', 
		'IC' => '015', 
		'ID' => 'UN', 
		'IE' => 'UN', 
		'IL' => 'UN', 
		'IM' => '154', 
		'IN' => 'UN', 
		'IO' => 'QO', 
		'IQ' => 'UN', 
		'IR' => 'UN', 
		'IS' => 'UN', 
		'IT' => 'UN', 
		'JE' => '154', 
		'JM' => 'UN', 
		'JO' => 'UN', 
		'JP' => 'UN', 
		'KE' => 'UN', 
		'KG' => 'UN', 
		'KH' => 'UN', 
		'KI' => 'UN', 
		'KM' => 'UN', 
		'KN' => 'UN', 
		'KP' => 'UN', 
		'KR' => 'UN', 
		'KW' => 'UN', 
		'KY' => '029', 
		'KZ' => 'UN', 
		'LA' => 'UN', 
		'LB' => 'UN', 
		'LC' => 'UN', 
		'LI' => 'UN', 
		'LK' => 'UN', 
		'LR' => 'UN', 
		'LS' => 'UN', 
		'LT' => 'UN', 
		'LU' => 'UN', 
		'LV' => 'UN', 
		'LY' => 'UN', 
		'MA' => 'UN', 
		'MC' => 'UN', 
		'MD' => 'UN', 
		'ME' => 'UN', 
		'MF' => '029', 
		'MG' => 'UN', 
		'MH' => 'UN', 
		'MK' => 'UN', 
		'ML' => 'UN', 
		'MM' => 'UN', 
		'MN' => 'UN', 
		'MO' => '030', 
		'MP' => '057', 
		'MQ' => '029', 
		'MR' => 'UN', 
		'MS' => '029', 
		'MT' => 'UN', 
		'MU' => 'UN', 
		'MV' => 'UN', 
		'MW' => 'UN', 
		'MX' => 'UN', 
		'MY' => 'UN', 
		'MZ' => 'UN', 
		'NA' => 'UN', 
		'NC' => '054', 
		'NE' => 'UN', 
		'NF' => '053', 
		'NG' => 'UN', 
		'NI' => 'UN', 
		'NL' => 'UN', 
		'NO' => 'UN', 
		'NP' => 'UN', 
		'NR' => 'UN', 
		'NU' => '061', 
		'NZ' => 'UN', 
		'OM' => 'UN', 
		'PA' => 'UN', 
		'PE' => 'UN', 
		'PF' => '061', 
		'PG' => 'UN', 
		'PH' => 'UN', 
		'PK' => 'UN', 
		'PL' => 'UN', 
		'PM' => '021', 
		'PN' => '061', 
		'PR' => '029', 
		'PS' => '145', 
		'PT' => 'UN', 
		'PW' => 'UN', 
		'PY' => 'UN', 
		'QA' => 'UN', 
		'QO' => '009', 
		'RE' => '014', 
		'RO' => 'UN', 
		'RS' => 'UN', 
		'RU' => 'UN', 
		'RW' => 'UN', 
		'SA' => 'UN', 
		'SB' => 'UN', 
		'SC' => 'UN', 
		'SD' => 'UN', 
		'SE' => 'UN', 
		'SG' => 'UN', 
		'SH' => '011', 
		'SI' => 'UN', 
		'SJ' => '154', 
		'SK' => 'UN', 
		'SL' => 'UN', 
		'SM' => 'UN', 
		'SN' => 'UN', 
		'SO' => 'UN', 
		'SR' => 'UN', 
		'SS' => 'UN', 
		'ST' => 'UN', 
		'SV' => 'UN', 
		'SX' => '029', 
		'SY' => 'UN', 
		'SZ' => 'UN', 
		'TA' => 'QO', 
		'TC' => '029', 
		'TD' => 'UN', 
		'TF' => 'QO', 
		'TG' => 'UN', 
		'TH' => 'UN', 
		'TJ' => 'UN', 
		'TK' => '061', 
		'TL' => 'UN', 
		'TM' => 'UN', 
		'TN' => 'UN', 
		'TO' => 'UN', 
		'TR' => 'UN', 
		'TT' => 'UN', 
		'TV' => 'UN', 
		'TW' => '030', 
		'TZ' => 'UN', 
		'UA' => 'UN', 
		'UG' => 'UN', 
		'UM' => 'QO', 
		'UN' => '001', 
		'US' => 'UN', 
		'UY' => 'UN', 
		'UZ' => 'UN', 
		'VA' => '039', 
		'VC' => 'UN', 
		'VE' => 'UN', 
		'VG' => '029', 
		'VI' => '029', 
		'VN' => 'UN', 
		'VU' => 'UN', 
		'WF' => '061', 
		'WS' => 'UN', 
		'XK' => '039', 
		'YE' => 'UN', 
		'YT' => '014', 
		'ZA' => 'UN', 
		'ZM' => 'UN', 
		'ZW' => 'UN', 
	} }
);


no Moo::Role;

1;

# vim: tabstop=4
